<?php
require_once('auth.php');
if(!$is_admin) { // this page is for admin only!
	auth401();
}
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Design wechseln - RRZE NavEditor 2.0 Beta</title>
<link rel="stylesheet" type="text/css" href="css/styles.css" />

<script type="text/javascript" src="js/jquery-1.3.1.min.js"></script>
<script type="text/javascript" src="js/json2.js"></script>
<script type="text/javascript">
var loadFileListDone = false;

function loadContentCallback(data) {
	var curr = data.current_design;
	var optHtml = "";
	for(var i = 0; i < data.designs.length; i++) {
		if(data.designs[i].value == curr) {
			optHtml += "<option value=\"" + data.designs[i].value + " selected=\"selected\" \">" + data.designs[i].text + "</option>";
		} else {
			optHtml += "<option value=\"" + data.designs[i].value + "\">" + data.designs[i].text + "</option>";
		}
	}
	$("#selDesigns").html(optHtml);
	loadFileListDone = true;
	showScreenShot($("#selDesigns").val());
}

function saveContentCallback(data) {
	alert(data);
}

function showScreenShot(fileName) {
	$.post("app/edit_design.php", {
		"oper": "get_screenshot",
		"head_file_name": fileName
	}, function(rdata) {
		$("#previewImage").html(rdata);
	});
}

/* ---------- Here comes jQuery: ---------- */
$(document).ready(function() {
	$.getJSON("app/edit_design.php?r=" + Math.random(), {
		"oper": "get_file_list"
	}, loadContentCallback); // load tree data
	
	$("#btnUpdate").click(function() {
		if(confirm("Are you sure to change the Design?")) {
			$.post("app/edit_design.php", {
				"oper": "set_head_file",
				"new_head_file": $("#selDesigns").val()
			}, saveContentCallback);
		}
	});
	
	$("#selDesigns").change(function() {
		if(!loadFileListDone) return;
		showScreenShot($(this).val());
	});
});
</script>
</head>

<body id="bd_Design">
<div id="wrapper">
	<h1 id="header">RRZE NavEditor 2.0 <sup>beta</sup></h1>
	<div id="navBar">
		<?php require('common_nav_menu.php'); ?>
	</div>
	
	<div id="contentPanel1">
		<form action="" method="post" name="frmEdit" id="frmEdit">
			<fieldset>
				<legend>Designs zu ausw&auml;hlen</legend>
				<select id="selDesigns"></select>
				<div id="previewImage" style="padding:0.25em 0 0 0;"></div>
				<hr size="1" noshade="noshade" />
				<input type="button" id="btnUpdate" name="btnUpdate" value="Update" class="button" />
			</fieldset>
		</form>
	</div>
	
<?php require('common_footer.php'); ?>	
</div>
</body>

</html>
